ch.qos.logback.core.rolling.helper

## Class AsynchronousCompressor

- java.lang.Object
- - ch.qos.logback.core.rolling.helper.AsynchronousCompressor

    public class AsynchronousCompressor
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`AsynchronousCompressor(Compressor compressor)`

### Method Summary

Methods
`java.util.concurrent.Future<?>` `compressAsynchronously(java.lang.String nameOfFile2Compress, java.lang.String nameOfCompressedFile, java.lang.String innerEntryName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsynchronousCompressor

    public AsynchronousCompressor(Compressor compressor)

### Method Detail

#### compressAsynchronously

    public java.util.concurrent.Future<?> compressAsynchronously(java.lang.String nameOfFile2Compress,
                                                        java.lang.String nameOfCompressedFile,
                                                        java.lang.String innerEntryName)